Skip to content

Domains

All operations require authentication.

79 operationsv1 · v2/allDom · /allDom/{serviceName} · /domain · +3
Agent setup

List all domain name resourcesBeta

GET
/v2/domain/name

Query parameters

additionalStates
AdditionalStatesEnum[]

Filter the results having all these additional states

ValuesDGCCRF_ABUSEDISPUTEFORCED_DELETIONOVH_ABUSEREGISTRY_ABUSETECHNICAL_SUSPENDED
contactAdministrator
string[]

Filter the results by administrator contact id

contactBilling
string[]

Filter the results by billing contact id

contactOwner
string[]

Filter the results by owner contact id

contactTechnical
string[]

Filter the results by technical contact id

iamTags
object

Filter resources on IAM tags

mainState
MainStateEnum[]

Filter the results having all these main states

ValuesDELETEDEXPIREDOKPENDING_CREATEPENDING_DELETEPENDING_INTERNAL_TRANSFERPENDING_OUTGOING_TRANSFERRESTORABLETO_DELETE
searchValue
string

Filter the results with the search value on resource id

suspensionState
SuspensionStateEnum[]

Filter the results having all these suspension states

ValuesNOT_SUSPENDEDSUSPENDED

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200DomainWithIAM[]successful operation
checksum
string

Computed hash used to control concurrent modification requests. Here, it represents the current target specification value.

currentState
read-only
DomainCurrentState

Current state of the domain name

currentTasks
read-only
CurrentTask[]

Ongoing asynchronous tasks related to the domain name resource

iam
read-only
ResourceMetadata

IAM resource metadata

id
read-only
string

Unique identifier of the resource. Here, the domain name itself is used as an identifier.

resourceStatus
read-only
ResourceStatusEnum

Reflects the readiness of the domain name resource. A new target specification request will be accepted only in READY, UPDATING or ERROR status.

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
required
DomainTargetSpec

Latest target specification of the domain name resource

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/v2/domain/name \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "checksum": "string", "currentState": { "additionalStates": [ "DGCCRF_ABUSE" ], "authInfoManagedByOVHcloud": true, "authInfoSupported": true, "contactsConfiguration": { "contactAdministrator": { "disclosurePolicy": { "disclosedFields": [ null ], "disclosureConfiguration": "DISCLOSED", "forcedDisclosureConfiguration": true, "visibleViaRdds": true }, "id": "string" }, "contactBilling": { "disclosurePolicy": { "disclosedFields": [ null ], "disclosureConfiguration": "DISCLOSED", "forcedDisclosureConfiguration": true, "visibleViaRdds": true }, "id": "string" }, "contactOwner": { "disclosurePolicy": { "disclosedFields": [ null ], "disclosureConfiguration": "DISCLOSED", "forcedDisclosureConfiguration": true, "visibleViaRdds": true }, "id": "string" }, "contactTechnical": { "disclosurePolicy": { "disclosedFields": [ null ], "disclosureConfiguration": "DISCLOSED", "forcedDisclosureConfiguration": true, "visibleViaRdds": true }, "id": "string" } }, "createdAt": "2024-01-01T12:00:00Z", "designatedAgentAllowed": true, "dnsConfiguration": { "configurationType": "ANYCAST", "dnssecSupported": true, "glueRecordIPv6Supported": true, "hostSupported": true, "maxDNS": 0, "minDNS": 0, "multipleIPsSupported": true, "nameServers": [ { "ips": [ null ], "ipv4": "192.0.2.0", "ipv6": "2001:41d0:1:1994::1", "nameServer": "string", "nameServerType": "ANYCAST" } ] }, "dnssecConfiguration": { "dnssecSupported": true, "dsData": [ { "algorithm": 0, "flags": 0, "keyTag": 0, "publicKey": "string" } ], "supportedAlgorithms": [ { "name": "DSA", "number": 0 } ] }, "extension": "string", "hostsConfiguration": { "hostSupported": true, "hosts": [ { "host": "string", "ips": [ null ] } ], "ipv4Supported": true, "ipv6Supported": true, "multipleIPsSupported": true }, "mainState": "DELETED", "name": "string", "protectionState": "PROTECTED", "suspensionState": "NOT_SUSPENDED", "transferAuthorizationMethod": "ASK_OVHCLOUD_SUPPORT" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "string", "resourceStatus": "CREATING", "targetSpec": { "contactsConfiguration": { "contactAdministrator": { "disclosurePolicy": { "disclosureConfiguration": "DISCLOSED" } }, "contactBilling": { "disclosurePolicy": { "disclosureConfiguration": "DISCLOSED" } }, "contactOwner": { "disclosurePolicy": { "disclosureConfiguration": "DISCLOSED" }, "id": "string" }, "contactTechnical": { "disclosurePolicy": { "disclosureConfiguration": "DISCLOSED" } } }, "dnsConfiguration": { "nameServers": [ { "ips": [ null ], "ipv4": "192.0.2.0", "ipv6": "2001:41d0:1:1994::1", "nameServer": "string" } ] }, "dnssecConfiguration": { "dsData": [ { "algorithm": 0, "flags": 0, "keyTag": 0, "publicKey": "string" } ] }, "hostsConfiguration": { "hosts": [ { "host": "string", "ips": [ null ] } ] }, "protectionState": "PROTECTED" } }]

Get a domain name resourceBeta

GET
/v2/domain/name/{domainName}

Path parameters

domainName
required
string

Domain name

Response

200DomainWithIAMsuccessful operation
checksum
string

Computed hash used to control concurrent modification requests. Here, it represents the current target specification value.

currentState
read-only
DomainCurrentState

Current state of the domain name

currentTasks
read-only
CurrentTask[]

Ongoing asynchronous tasks related to the domain name resource

iam
read-only
ResourceMetadata

IAM resource metadata

id
read-only
string

Unique identifier of the resource. Here, the domain name itself is used as an identifier.

resourceStatus
read-only
ResourceStatusEnum

Reflects the readiness of the domain name resource. A new target specification request will be accepted only in READY, UPDATING or ERROR status.

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
required
DomainTargetSpec

Latest target specification of the domain name resource

Example uses domainName = string

$ curl https://api.eu.ovhcloud.com/v2/domain/name/{domainName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "currentState": { "additionalStates": [ "DGCCRF_ABUSE" ], "authInfoManagedByOVHcloud": true, "authInfoSupported": true, "contactsConfiguration": { "contactAdministrator": { "disclosurePolicy": { "disclosedFields": [ "ADDRESS" ], "disclosureConfiguration": "DISCLOSED", "forcedDisclosureConfiguration": true, "visibleViaRdds": true }, "id": "string" }, "contactBilling": { "disclosurePolicy": { "disclosedFields": [ "ADDRESS" ], "disclosureConfiguration": "DISCLOSED", "forcedDisclosureConfiguration": true, "visibleViaRdds": true }, "id": "string" }, "contactOwner": { "disclosurePolicy": { "disclosedFields": [ "ADDRESS" ], "disclosureConfiguration": "DISCLOSED", "forcedDisclosureConfiguration": true, "visibleViaRdds": true }, "id": "string" }, "contactTechnical": { "disclosurePolicy": { "disclosedFields": [ "ADDRESS" ], "disclosureConfiguration": "DISCLOSED", "forcedDisclosureConfiguration": true, "visibleViaRdds": true }, "id": "string" } }, "createdAt": "2024-01-01T12:00:00Z", "designatedAgentAllowed": true, "dnsConfiguration": { "configurationType": "ANYCAST", "dnssecSupported": true, "glueRecordIPv6Supported": true, "hostSupported": true, "maxDNS": 0, "minDNS": 0, "multipleIPsSupported": true, "nameServers": [ { "ips": [ "192.0.2.0" ], "ipv4": "192.0.2.0", "ipv6": "2001:41d0:1:1994::1", "nameServer": "string", "nameServerType": "ANYCAST" } ] }, "dnssecConfiguration": { "dnssecSupported": true, "dsData": [ { "algorithm": 0, "flags": 0, "keyTag": 0, "publicKey": "string" } ], "supportedAlgorithms": [ { "name": "DSA", "number": 0 } ] }, "extension": "string", "hostsConfiguration": { "hostSupported": true, "hosts": [ { "host": "string", "ips": [ "192.0.2.0" ] } ], "ipv4Supported": true, "ipv6Supported": true, "multipleIPsSupported": true }, "mainState": "DELETED", "name": "string", "protectionState": "PROTECTED", "suspensionState": "NOT_SUSPENDED", "transferAuthorizationMethod": "ASK_OVHCLOUD_SUPPORT" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "string", "resourceStatus": "CREATING", "targetSpec": { "contactsConfiguration": { "contactAdministrator": { "disclosurePolicy": { "disclosureConfiguration": "DISCLOSED" } }, "contactBilling": { "disclosurePolicy": { "disclosureConfiguration": "DISCLOSED" } }, "contactOwner": { "disclosurePolicy": { "disclosureConfiguration": "DISCLOSED" }, "id": "string" }, "contactTechnical": { "disclosurePolicy": { "disclosureConfiguration": "DISCLOSED" } } }, "dnsConfiguration": { "nameServers": [ { "ips": [ "192.0.2.0" ], "ipv4": "192.0.2.0", "ipv6": "2001:41d0:1:1994::1", "nameServer": "string" } ] }, "dnssecConfiguration": { "dsData": [ { "algorithm": 0, "flags": 0, "keyTag": 0, "publicKey": "string" } ] }, "hostsConfiguration": { "hosts": [ { "host": "string", "ips": [ "192.0.2.0" ] } ] }, "protectionState": "PROTECTED" }}

Update an existing domain name by modifying various configurations through the targetSpecBeta

PUT
/v2/domain/name/{domainName}

Path parameters

domainName
required
string

Domain name

Request body (required)

checksum
string

Computed hash used to control concurrent modification requests. Here, it represents the current target specification value.

currentState
read-only
DomainCurrentState

Current state of the domain name

currentTasks
read-only
CurrentTask[]

Ongoing asynchronous tasks related to the domain name resource

id
read-only
string

Unique identifier of the resource. Here, the domain name itself is used as an identifier.

resourceStatus
read-only
ResourceStatusEnum

Reflects the readiness of the domain name resource. A new target specification request will be accepted only in READY, UPDATING or ERROR status.

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
required
DomainTargetSpec

Latest target specification of the domain name resource

Response

200Domainsuccessful operation
checksum
string

Computed hash used to control concurrent modification requests. Here, it represents the current target specification value.

currentState
read-only
DomainCurrentState

Current state of the domain name

currentTasks
read-only
CurrentTask[]

Ongoing asynchronous tasks related to the domain name resource

id
read-only
string

Unique identifier of the resource. Here, the domain name itself is used as an identifier.

resourceStatus
read-only
ResourceStatusEnum

Reflects the readiness of the domain name resource. A new target specification request will be accepted only in READY, UPDATING or ERROR status.

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
required
DomainTargetSpec

Latest target specification of the domain name resource

Example uses domainName = string

$ curl https://api.eu.ovhcloud.com/v2/domain/name/{domainName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "currentState": { "additionalStates": [ "DGCCRF_ABUSE" ], "authInfoManagedByOVHcloud": true, "authInfoSupported": true, "contactsConfiguration": { "contactAdministrator": { "disclosurePolicy": { "disclosedFields": [ "ADDRESS" ], "disclosureConfiguration": "DISCLOSED", "forcedDisclosureConfiguration": true, "visibleViaRdds": true }, "id": "string" }, "contactBilling": { "disclosurePolicy": { "disclosedFields": [ "ADDRESS" ], "disclosureConfiguration": "DISCLOSED", "forcedDisclosureConfiguration": true, "visibleViaRdds": true }, "id": "string" }, "contactOwner": { "disclosurePolicy": { "disclosedFields": [ "ADDRESS" ], "disclosureConfiguration": "DISCLOSED", "forcedDisclosureConfiguration": true, "visibleViaRdds": true }, "id": "string" }, "contactTechnical": { "disclosurePolicy": { "disclosedFields": [ "ADDRESS" ], "disclosureConfiguration": "DISCLOSED", "forcedDisclosureConfiguration": true, "visibleViaRdds": true }, "id": "string" } }, "createdAt": "2024-01-01T12:00:00Z", "designatedAgentAllowed": true, "dnsConfiguration": { "configurationType": "ANYCAST", "dnssecSupported": true, "glueRecordIPv6Supported": true, "hostSupported": true, "maxDNS": 0, "minDNS": 0, "multipleIPsSupported": true, "nameServers": [ { "ips": [ "192.0.2.0" ], "ipv4": "192.0.2.0", "ipv6": "2001:41d0:1:1994::1", "nameServer": "string", "nameServerType": "ANYCAST" } ] }, "dnssecConfiguration": { "dnssecSupported": true, "dsData": [ { "algorithm": 0, "flags": 0, "keyTag": 0, "publicKey": "string" } ], "supportedAlgorithms": [ { "name": "DSA", "number": 0 } ] }, "extension": "string", "hostsConfiguration": { "hostSupported": true, "hosts": [ { "host": "string", "ips": [ "192.0.2.0" ] } ], "ipv4Supported": true, "ipv6Supported": true, "multipleIPsSupported": true }, "mainState": "DELETED", "name": "string", "protectionState": "PROTECTED", "suspensionState": "NOT_SUSPENDED", "transferAuthorizationMethod": "ASK_OVHCLOUD_SUPPORT" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "string", "resourceStatus": "CREATING", "targetSpec": { "contactsConfiguration": { "contactAdministrator": { "disclosurePolicy": { "disclosureConfiguration": "DISCLOSED" } }, "contactBilling": { "disclosurePolicy": { "disclosureConfiguration": "DISCLOSED" } }, "contactOwner": { "disclosurePolicy": { "disclosureConfiguration": "DISCLOSED" }, "id": "string" }, "contactTechnical": { "disclosurePolicy": { "disclosureConfiguration": "DISCLOSED" } } }, "dnsConfiguration": { "nameServers": [ { "ips": [ "192.0.2.0" ], "ipv4": "192.0.2.0", "ipv6": "2001:41d0:1:1994::1", "nameServer": "string" } ] }, "dnssecConfiguration": { "dsData": [ { "algorithm": 0, "flags": 0, "keyTag": 0, "publicKey": "string" } ] }, "hostsConfiguration": { "hosts": [ { "host": "string", "ips": [ "192.0.2.0" ] } ] }, "protectionState": "PROTECTED" }}

Get the list of managed domain namesProduction

GET
/1.0/domain

Query parameters

iamTags
object

Filter resources on IAM tags

whoisOwner
string

Filter domain names by owner ID

Response

200string[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/domain \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get domain name informationProduction

GET
/1.0/domain/{serviceName}

Path parameters

serviceName
required
string

Service name

Response

200DomainServiceWithIAMsuccessful operation
contactAdmin
read-only
ContactSummary

Administrative contact data

contactBilling
read-only
ContactSummary

Billing contact data

contactOwner
read-only
ContactSummary

Owner (registrant) contact data

contactTech
read-only
ContactSummary

Technical contact data

dnssecState
read-only
DnssecStateEnum

Current DNSSEC state of the domain name

Valuesdisabledenablednot_supported
dnssecSupported
read-only
boolean

Whether DNSSEC is activated for this domain name

domain
read-only
string

Domain name

expirationDate
read-only
stringdate-time

Date when the domain name will expire, if not renewed

glueRecordIpv6Supported
read-only
boolean

Whether the registry supports IPv6 glue records

glueRecordMultiIpSupported
read-only
boolean

Whether the registry supports multi-ip glue records

hostSupported
read-only
boolean

Whether the registry supports hosts as independent entities

iam
read-only
ResourceMetadata

IAM resource metadata

lastUpdate
read-only
stringdate-time

Last update date

nameServerType
NameServerTypeEnum

Name servers type

Valuesanycastdedicatedemptyexternalholdhostedhostingmixedparking
nameServers
read-only
NameServer[]

Name servers list

offer
read-only
OfferEnum

Offer associated with the domain name

Valuesdiamondgoldplatinum
owoSupported
read-only
boolean

Whether Whois data obfuscation is supported for this domain name

parentService
read-only
ParentService

Parent service

renewalDate
read-only
stringdate-time

Date when the domain name should be renewed (relevant if renewalState is automatic_renew)

renewalState
read-only
RenewalStateEnum

Current renewal state of the domain name

Valuesautomatic_renewcancellation_completecancellation_requestedmanual_renewunpaid
serviceId
read-only
integer

Technical service identifier

state
read-only
DomainStateEnum

Current state of the domain name

Valuesautorenew_in_progressautorenew_registry_in_progressdeleteddisputeexpiredokoutgoing_transferpending_createpending_deletepending_incoming_transferpending_installationregistry_suspendedrestorabletechnical_suspended
suspensionState
read-only
SuspensionStateEnum

Current suspension state of the domain name

Valuesnot_suspendedsuspended
transferLockStatus
LockStatusEnum

Current transfer lock status of the domain name

Valueslockedlockingunavailableunlockedunlocking
whoisOwner
read-only
string

Owner (registrant) contact ID (contact data can be edited via /me/contact/)

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "contactAdmin": { "id": "string" }, "contactBilling": { "id": "string" }, "contactOwner": { "id": "string" }, "contactTech": { "id": "string" }, "dnssecState": "disabled", "dnssecSupported": true, "domain": "string", "expirationDate": "2024-01-01T12:00:00Z", "glueRecordIpv6Supported": true, "glueRecordMultiIpSupported": true, "hostSupported": true, "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "lastUpdate": "2024-01-01T12:00:00Z", "nameServerType": "anycast", "nameServers": [ { "id": 0, "ipv4": "192.0.2.0", "ipv6": "2001:41d0:1:1994::1", "nameServer": "string", "nameServerType": "anycast" } ], "offer": "diamond", "owoSupported": true, "parentService": { "name": "string", "type": "/allDom" }, "renewalDate": "2024-01-01T12:00:00Z", "renewalState": "automatic_renew", "serviceId": 0, "state": "autorenew_in_progress", "suspensionState": "not_suspended", "transferLockStatus": "locked", "whoisOwner": "string"}

Edit domain name propertiesProduction

PUT
/1.0/domain/{serviceName}

Path parameters

serviceName
required
string

Service name

Request body (required)

contactAdmin
read-only
ContactSummary

Administrative contact data

contactBilling
read-only
ContactSummary

Billing contact data

contactOwner
read-only
ContactSummary

Owner (registrant) contact data

contactTech
read-only
ContactSummary

Technical contact data

dnssecState
read-only
DnssecStateEnum

Current DNSSEC state of the domain name

Valuesdisabledenablednot_supported
dnssecSupported
read-only
boolean

Whether DNSSEC is activated for this domain name

domain
read-only
string

Domain name

expirationDate
read-only
stringdate-time

Date when the domain name will expire, if not renewed

glueRecordIpv6Supported
read-only
boolean

Whether the registry supports IPv6 glue records

glueRecordMultiIpSupported
read-only
boolean

Whether the registry supports multi-ip glue records

hostSupported
read-only
boolean

Whether the registry supports hosts as independent entities

lastUpdate
read-only
stringdate-time

Last update date

nameServerType
NameServerTypeEnum

Name servers type

Valuesanycastdedicatedemptyexternalholdhostedhostingmixedparking
nameServers
read-only
NameServer[]

Name servers list

offer
read-only
OfferEnum

Offer associated with the domain name

Valuesdiamondgoldplatinum
owoSupported
read-only
boolean

Whether Whois data obfuscation is supported for this domain name

parentService
read-only
ParentService

Parent service

renewalDate
read-only
stringdate-time

Date when the domain name should be renewed (relevant if renewalState is automatic_renew)

renewalState
read-only
RenewalStateEnum

Current renewal state of the domain name

Valuesautomatic_renewcancellation_completecancellation_requestedmanual_renewunpaid
serviceId
read-only
integer

Technical service identifier

state
read-only
DomainStateEnum

Current state of the domain name

Valuesautorenew_in_progressautorenew_registry_in_progressdeleteddisputeexpiredokoutgoing_transferpending_createpending_deletepending_incoming_transferpending_installationregistry_suspendedrestorabletechnical_suspended
suspensionState
read-only
SuspensionStateEnum

Current suspension state of the domain name

Valuesnot_suspendedsuspended
transferLockStatus
LockStatusEnum

Current transfer lock status of the domain name

Valueslockedlockingunavailableunlockedunlocking
whoisOwner
read-only
string

Owner (registrant) contact ID (contact data can be edited via /me/contact/)

Response

200DomainServicesuccessful operation
contactAdmin
read-only
ContactSummary

Administrative contact data

contactBilling
read-only
ContactSummary

Billing contact data

contactOwner
read-only
ContactSummary

Owner (registrant) contact data

contactTech
read-only
ContactSummary

Technical contact data

dnssecState
read-only
DnssecStateEnum

Current DNSSEC state of the domain name

Valuesdisabledenablednot_supported
dnssecSupported
read-only
boolean

Whether DNSSEC is activated for this domain name

domain
read-only
string

Domain name

expirationDate
read-only
stringdate-time

Date when the domain name will expire, if not renewed

glueRecordIpv6Supported
read-only
boolean

Whether the registry supports IPv6 glue records

glueRecordMultiIpSupported
read-only
boolean

Whether the registry supports multi-ip glue records

hostSupported
read-only
boolean

Whether the registry supports hosts as independent entities

lastUpdate
read-only
stringdate-time

Last update date

nameServerType
NameServerTypeEnum

Name servers type

Valuesanycastdedicatedemptyexternalholdhostedhostingmixedparking
nameServers
read-only
NameServer[]

Name servers list

offer
read-only
OfferEnum

Offer associated with the domain name

Valuesdiamondgoldplatinum
owoSupported
read-only
boolean

Whether Whois data obfuscation is supported for this domain name

parentService
read-only
ParentService

Parent service

renewalDate
read-only
stringdate-time

Date when the domain name should be renewed (relevant if renewalState is automatic_renew)

renewalState
read-only
RenewalStateEnum

Current renewal state of the domain name

Valuesautomatic_renewcancellation_completecancellation_requestedmanual_renewunpaid
serviceId
read-only
integer

Technical service identifier

state
read-only
DomainStateEnum

Current state of the domain name

Valuesautorenew_in_progressautorenew_registry_in_progressdeleteddisputeexpiredokoutgoing_transferpending_createpending_deletepending_incoming_transferpending_installationregistry_suspendedrestorabletechnical_suspended
suspensionState
read-only
SuspensionStateEnum

Current suspension state of the domain name

Valuesnot_suspendedsuspended
transferLockStatus
LockStatusEnum

Current transfer lock status of the domain name

Valueslockedlockingunavailableunlockedunlocking
whoisOwner
read-only
string

Owner (registrant) contact ID (contact data can be edited via /me/contact/)

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "contactAdmin": { "id": "string" }, "contactBilling": { "id": "string" }, "contactOwner": { "id": "string" }, "contactTech": { "id": "string" }, "dnssecState": "disabled", "dnssecSupported": true, "domain": "string", "expirationDate": "2024-01-01T12:00:00Z", "glueRecordIpv6Supported": true, "glueRecordMultiIpSupported": true, "hostSupported": true, "lastUpdate": "2024-01-01T12:00:00Z", "nameServerType": "anycast", "nameServers": [ { "id": 0, "ipv4": "192.0.2.0", "ipv6": "2001:41d0:1:1994::1", "nameServer": "string", "nameServerType": "anycast" } ], "offer": "diamond", "owoSupported": true, "parentService": { "name": "string", "type": "/allDom" }, "renewalDate": "2024-01-01T12:00:00Z", "renewalState": "automatic_renew", "serviceId": 0, "state": "autorenew_in_progress", "suspensionState": "not_suspended", "transferLockStatus": "locked", "whoisOwner": "string"}

Get service informationProduction

GET
/1.0/domain/{serviceName}/serviceInfos

Path parameters

serviceName
required
string

Service name

Response

200Servicesuccessful operation
canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/{serviceName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}

Update service informationProduction

PUT
/1.0/domain/{serviceName}/serviceInfos

Path parameters

serviceName
required
string

Service name

Request body (required)

canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/{serviceName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"

List of current name serversProduction

GET
/1.0/domain/{serviceName}/nameServer

Path parameters

serviceName
required
string

Service name

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/{serviceName}/nameServer \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get this name server configurationProduction

GET
/1.0/domain/{serviceName}/nameServer/{id}

Path parameters

id
required
integer

Id

serviceName
required
string

Service name

Response

200FullNameServersuccessful operation
host
read-only
string

Host of the name server

id
read-only
integer

ID of the name server

ip
read-only
ip

IP address of the name server

isUsed
read-only
boolean

isUsed flag of the name server

toDelete
read-only
boolean

toDelete flag of the name server

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/{serviceName}/nameServer/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "host": "string", "id": 0, "ip": "192.0.2.0", "isUsed": true, "toDelete": true}

Add new name serverProduction

POST
/1.0/domain/{serviceName}/nameServer

Path parameters

serviceName
required
string

Service name

Request body (required)

nameServer
required
NameServerInput[]

Name servers to create

Response

200Tasksuccessful operation
canAccelerate
read-only
boolean

Can accelerate the task

canCancel
read-only
boolean

Can cancel the task

canRelaunch
read-only
boolean

Can relaunch the task

comment
read-only
string

Comment about the task

creationDate
read-only
stringdate-time

Creation date of the task

domain
read-only
string

Domain of the task

doneDate
read-only
stringdate-time

Done date of the task

function
read-only
string

Function of the task

id
read-only
integer

Id of the task

lastUpdate
read-only
stringdate-time

Last update date of the task

status
read-only
OperationStatusEnum

Status of the task

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Todo date of the task

type
read-only
OperationTypeEnum

type of the task

Valuesalldomdomain

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/{serviceName}/nameServer \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canAccelerate": true, "canCancel": true, "canRelaunch": true, "comment": "string", "creationDate": "2024-01-01T12:00:00Z", "domain": "string", "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "type": "alldom"}

Delete a name serverProduction

DELETE
/1.0/domain/{serviceName}/nameServer/{id}

Path parameters

id
required
integer

Id

serviceName
required
string

Service name

Response

200Tasksuccessful operation
canAccelerate
read-only
boolean

Can accelerate the task

canCancel
read-only
boolean

Can cancel the task

canRelaunch
read-only
boolean

Can relaunch the task

comment
read-only
string

Comment about the task

creationDate
read-only
stringdate-time

Creation date of the task

domain
read-only
string

Domain of the task

doneDate
read-only
stringdate-time

Done date of the task

function
read-only
string

Function of the task

id
read-only
integer

Id of the task

lastUpdate
read-only
stringdate-time

Last update date of the task

status
read-only
OperationStatusEnum

Status of the task

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Todo date of the task

type
read-only
OperationTypeEnum

type of the task

Valuesalldomdomain

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/{serviceName}/nameServer/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canAccelerate": true, "canCancel": true, "canRelaunch": true, "comment": "string", "creationDate": "2024-01-01T12:00:00Z", "domain": "string", "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "type": "alldom"}

Get name server statusProduction

GET
/1.0/domain/{serviceName}/nameServer/{id}/status

Path parameters

id
required
integer

Id

serviceName
required
string

Service name

Response

200NameServerStatussuccessful operation
state
read-only
NameServerStateEnum

Whether or not the DNS server is working

Valueskook
type
read-only
NameServerTypeEnum

Whether or not the DNS server is managed by OVHcloud

Valuesanycastdedicatedemptyexternalholdhostedhostingmixedparking
usedSince
read-only
stringdate-time

Date from which the DNS server is used by the domain

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/{serviceName}/nameServer/{id}/status \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "state": "ko", "type": "anycast", "usedSince": "2024-01-01T12:00:00Z"}

Update DNS serversProduction

POST
/1.0/domain/{serviceName}/nameServers/update

Path parameters

serviceName
required
string

Service name

Request body (required)

nameServers
required
NameServerInput[]

Name servers to update

Response

200Tasksuccessful operation
canAccelerate
read-only
boolean

Can accelerate the task

canCancel
read-only
boolean

Can cancel the task

canRelaunch
read-only
boolean

Can relaunch the task

comment
read-only
string

Comment about the task

creationDate
read-only
stringdate-time

Creation date of the task

domain
read-only
string

Domain of the task

doneDate
read-only
stringdate-time

Done date of the task

function
read-only
string

Function of the task

id
read-only
integer

Id of the task

lastUpdate
read-only
stringdate-time

Last update date of the task

status
read-only
OperationStatusEnum

Status of the task

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Todo date of the task

type
read-only
OperationTypeEnum

type of the task

Valuesalldomdomain

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/{serviceName}/nameServers/update \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canAccelerate": true, "canCancel": true, "canRelaunch": true, "comment": "string", "creationDate": "2024-01-01T12:00:00Z", "domain": "string", "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "type": "alldom"}

List of domain's DS RecordsProduction

GET
/1.0/domain/{serviceName}/dsRecord

Path parameters

serviceName
required
string

Service name

Query parameters

flags
KeyFlagEnum

Filter the value of flags property (=)

Values256257
status
KeyStatusEnum

Filter the value of status property (=)

Valuesactivegeneratedpublishedremovedretiredrevoked

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/{serviceName}/dsRecord \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get details on this DS RecordProduction

GET
/1.0/domain/{serviceName}/dsRecord/{id}

Path parameters

id
required
integer

Id

serviceName
required
string

Service name

Response

200Keysuccessful operation
algorithm
KeyAlgorithmEnum

Algorithm number of the DNSSEC key

Values35678101213141516
flags
KeyFlagEnum

Flag of the DNSSEC key

Values256257
id
read-only
integer

ID of the DNSSEC key

publicKey
string

Public key

status
read-only
KeyStatusEnum

Key status of the DNSSEC key

Valuesactivegeneratedpublishedremovedretiredrevoked
tag
integer

Tag of the DNSSEC key

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/{serviceName}/dsRecord/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "algorithm": 3, "flags": 256, "id": 0, "publicKey": "string", "status": "active", "tag": 0}

Update DS recordsProduction

POST
/1.0/domain/{serviceName}/dsRecord

Path parameters

serviceName
required
string

Service name

Request body (required)

keys
required
Key[]

New Keys

Response

200Tasksuccessful operation
canAccelerate
read-only
boolean

Can accelerate the task

canCancel
read-only
boolean

Can cancel the task

canRelaunch
read-only
boolean

Can relaunch the task

comment
read-only
string

Comment about the task

creationDate
read-only
stringdate-time

Creation date of the task

domain
read-only
string

Domain of the task

doneDate
read-only
stringdate-time

Done date of the task

function
read-only
string

Function of the task

id
read-only
integer

Id of the task

lastUpdate
read-only
stringdate-time

Last update date of the task

status
read-only
OperationStatusEnum

Status of the task

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Todo date of the task

type
read-only
OperationTypeEnum

type of the task

Valuesalldomdomain

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/{serviceName}/dsRecord \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canAccelerate": true, "canCancel": true, "canRelaunch": true, "comment": "string", "creationDate": "2024-01-01T12:00:00Z", "domain": "string", "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "type": "alldom"}

List of glue recordsProduction

GET
/1.0/domain/{serviceName}/glueRecord

Path parameters

serviceName
required
string

Service name

Query parameters

host
string

Filter the value of host property

Response

200string[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/{serviceName}/glueRecord \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get this glue recordProduction

GET
/1.0/domain/{serviceName}/glueRecord/{host}

Path parameters

host
required
string

Host

serviceName
required
string

Service name

Response

200GlueRecordsuccessful operation
host
read-only
string

Host of the glue record

ips
required
ip[]

IP address

Example uses host = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/{serviceName}/glueRecord/{host} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "host": "string", "ips": [ "192.0.2.0" ]}

Create a glue recordProduction

POST
/1.0/domain/{serviceName}/glueRecord

Path parameters

serviceName
required
string

Service name

Request body (required)

host
required
string

Host of the glue record

ips
required
ip[]

IP addresses of the glue record

Response

200Tasksuccessful operation
canAccelerate
read-only
boolean

Can accelerate the task

canCancel
read-only
boolean

Can cancel the task

canRelaunch
read-only
boolean

Can relaunch the task

comment
read-only
string

Comment about the task

creationDate
read-only
stringdate-time

Creation date of the task

domain
read-only
string

Domain of the task

doneDate
read-only
stringdate-time

Done date of the task

function
read-only
string

Function of the task

id
read-only
integer

Id of the task

lastUpdate
read-only
stringdate-time

Last update date of the task

status
read-only
OperationStatusEnum

Status of the task

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Todo date of the task

type
read-only
OperationTypeEnum

type of the task

Valuesalldomdomain

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/{serviceName}/glueRecord \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canAccelerate": true, "canCancel": true, "canRelaunch": true, "comment": "string", "creationDate": "2024-01-01T12:00:00Z", "domain": "string", "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "type": "alldom"}

Delete the glue recordProduction

DELETE
/1.0/domain/{serviceName}/glueRecord/{host}

Path parameters

host
required
string

Host

serviceName
required
string

Service name

Response

200Tasksuccessful operation
canAccelerate
read-only
boolean

Can accelerate the task

canCancel
read-only
boolean

Can cancel the task

canRelaunch
read-only
boolean

Can relaunch the task

comment
read-only
string

Comment about the task

creationDate
read-only
stringdate-time

Creation date of the task

domain
read-only
string

Domain of the task

doneDate
read-only
stringdate-time

Done date of the task

function
read-only
string

Function of the task

id
read-only
integer

Id of the task

lastUpdate
read-only
stringdate-time

Last update date of the task

status
read-only
OperationStatusEnum

Status of the task

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Todo date of the task

type
read-only
OperationTypeEnum

type of the task

Valuesalldomdomain

Example uses host = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/{serviceName}/glueRecord/{host} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canAccelerate": true, "canCancel": true, "canRelaunch": true, "comment": "string", "creationDate": "2024-01-01T12:00:00Z", "domain": "string", "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "type": "alldom"}

Update the glue recordProduction

POST
/1.0/domain/{serviceName}/glueRecord/{host}/update

Path parameters

host
required
string

Host

serviceName
required
string

Service name

Request body (required)

host
read-only
string

Host of the glue record

ips
required
ip[]

IP address

Response

200Tasksuccessful operation
canAccelerate
read-only
boolean

Can accelerate the task

canCancel
read-only
boolean

Can cancel the task

canRelaunch
read-only
boolean

Can relaunch the task

comment
read-only
string

Comment about the task

creationDate
read-only
stringdate-time

Creation date of the task

domain
read-only
string

Domain of the task

doneDate
read-only
stringdate-time

Done date of the task

function
read-only
string

Function of the task

id
read-only
integer

Id of the task

lastUpdate
read-only
stringdate-time

Last update date of the task

status
read-only
OperationStatusEnum

Status of the task

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Todo date of the task

type
read-only
OperationTypeEnum

type of the task

Valuesalldomdomain

Example uses host = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/{serviceName}/glueRecord/{host}/update \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canAccelerate": true, "canCancel": true, "canRelaunch": true, "comment": "string", "creationDate": "2024-01-01T12:00:00Z", "domain": "string", "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "type": "alldom"}

List domain optionsProduction

GET
/1.0/domain/{serviceName}/option

Path parameters

serviceName
required
string

Service name

Response

200DomainOptionEnum[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/{serviceName}/option \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "dnsAnycast"]

Get details on this domain optionProduction

GET
/1.0/domain/{serviceName}/option/{option}

Path parameters

option
required
DomainOptionEnum

Option

ValuesdnsAnycast
serviceName
required
string

Service name

Response

200Optionsuccessful operation
expirationDate
read-only
stringdate-time

Expiration date of the option

option
read-only
DomainOptionEnum

The option name

ValuesdnsAnycast
state
read-only
DomainOptionStateEnum

The state of the option

Valuesreleasedsubscribed

Example uses option = dnsAnycast, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/{serviceName}/option/{option} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "expirationDate": "2024-01-01T12:00:00Z", "option": "dnsAnycast", "state": "released"}

Remove a given optionProduction

DELETE
/1.0/domain/{serviceName}/option/{option}

Path parameters

option
required
DomainOptionEnum

Option

ValuesdnsAnycast
serviceName
required
string

Service name

Response

200—successful operation

Example uses option = dnsAnycast, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/{serviceName}/option/{option} \
  -H "authorization: Bearer $OVH_TOKEN"

Retrieve data about the options associated to a domainProduction

GET
/1.0/domain/{serviceName}/options

Path parameters

serviceName
required
string

Service name

Response

200ServiceOptionssuccessful operation
hosting
read-only
ServiceOption

Hosting option

offer
read-only
ServiceOption

Offer option (Diamond, Platinum)

zone
read-only
ServiceOption

DNS zone option

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/{serviceName}/options \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "hosting": { "serviceName": "string" }, "offer": { "serviceName": "string" }, "zone": { "serviceName": "string" }}

List available servicesProduction

GET
/1.0/allDom

Query parameters

iamTags
object

Filter resources on IAM tags

Response

200string[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/allDom \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

VoidProduction

GET
/1.0/allDom/{serviceName}

Path parameters

serviceName
required
string

The internal name of your allDom

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/allDom/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"

List available servicesProduction

GET
/1.0/domain/zone

Query parameters

iamTags
object

Filter resources on IAM tags

Response

200string[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get this object propertiesProduction

GET
/1.0/domain/zone/{zoneName}

Path parameters

zoneName
required
string

The internal name of your zone

Response

200ZoneWithIAMsuccessful operation
dnssecSupported
read-only
boolean

Is DNSSEC supported by this zone

hasDnsAnycast
read-only
boolean

hasDnsAnycast flag of the DNS zone

iam
read-only
ResourceMetadata

IAM resource metadata

lastUpdate
read-only
stringdate-time

Last update date of the DNS zone

name
read-only
string

Zone name

nameServers
read-only
string[]

Name servers that host the DNS zone

Example uses zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "dnssecSupported": true, "hasDnsAnycast": true, "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "lastUpdate": "2024-01-01T12:00:00Z", "name": "string", "nameServers": [ "string" ]}

Zone capabilitiesProduction

GET
/1.0/domain/zone/{zoneName}/capabilities

Path parameters

zoneName
required
string

The internal name of your zone

Response

200Capabilitiessuccessful operation
dynHost
boolean

True if dynHost available for this zone

Example uses zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/capabilities \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "dynHost": true}

Change service contactsProduction

POST
/1.0/domain/zone/{zoneName}/changeContact

Change service contacts. Starts a procedure to change the admin, tech or billing contact of the service.

Path parameters

zoneName
required
string

The internal name of your zone

Request body (required)

contactAdmin
string

The contact to set as admin contact

contactBilling
string

The contact to set as billing contact

contactTech
string

The contact to set as tech contact

Response

200integer[]successful operation

Example uses zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/changeContact \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Confirm service terminationProduction

POST
/1.0/domain/zone/{zoneName}/confirmTermination

Confirm service termination. Terminates the service with the token sent by email to the admin contact. A reason, a future use and a comment can be given.

Path parameters

zoneName
required
string

The internal name of your zone

Request body (required)

commentary
string

Commentary about your termination request

futureUse
TerminationFutureUseEnum

What next after your termination request

ValuesNOT_REPLACING_SERVICEOTHERSUBSCRIBE_AN_OTHER_SERVICESUBSCRIBE_OTHER_KIND_OF_SERVICE_WITH_COMPETITORSUBSCRIBE_SIMILAR_SERVICE_WITH_COMPETITOR
reason
TerminationReasonEnum

Reason of your termination request

ValuesFEATURES_DONT_SUIT_MELACK_OF_PERFORMANCESMIGRATED_TO_ANOTHER_OVH_PRODUCTMIGRATED_TO_COMPETITORNOT_ENOUGH_RECOGNITIONNOT_NEEDED_ANYMORENOT_RELIABLENO_ANSWEROTHERPRODUCT_DIMENSION_DONT_SUIT_MEPRODUCT_TOOLS_DONT_SUIT_METOO_EXPENSIVETOO_HARD_TO_USEUNSATIFIED_BY_CUSTOMER_SUPPORT
token
required
string

The termination token sent by email to the admin contact

Response

200stringsuccessful operation

Example uses zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/confirmTermination \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Get this object propertiesProduction

GET
/1.0/domain/zone/{zoneName}/dnssec

Path parameters

zoneName
required
string

The internal name of your zone

Response

200Dnssecsuccessful operation
status
read-only
DnssecStatusEnum

Dnssec Status

ValuesdisableInProgressdisabledenableInProgressenabled

Example uses zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/dnssec \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "status": "disableInProgress"}

Enable DnssecProduction

POST
/1.0/domain/zone/{zoneName}/dnssec

Path parameters

zoneName
required
string

The internal name of your zone

Response

200—successful operation

Example uses zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/dnssec \
  -H "authorization: Bearer $OVH_TOKEN"

Disable DnssecProduction

DELETE
/1.0/domain/zone/{zoneName}/dnssec

Path parameters

zoneName
required
string

The internal name of your zone

Response

200—successful operation

Example uses zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/dnssec \
  -H "authorization: Bearer $OVH_TOKEN"

DynHost' loginsProduction

GET
/1.0/domain/zone/{zoneName}/dynHost/login

Path parameters

zoneName
required
string

The internal name of your zone

Query parameters

login
string

Filter the value of login property (like)

subDomain
string

Filter the value of subDomain property (like)

Response

200string[]successful operation

Example uses zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/dynHost/login \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Create a new DynHost loginProduction

POST
/1.0/domain/zone/{zoneName}/dynHost/login

Path parameters

zoneName
required
string

The internal name of your zone

Request body (required)

loginSuffix
required
string

Suffix that will be concatenated to the zoneName to create the login

password
required
stringpassword

Password of the login

subDomain
required
string

Subdomain that the login will be allowed to update (use * to allow all)

Response

200DynHostLoginsuccessful operation
login
read-only
string

Login

subDomain
string

Subdomain that the login will be allowed to update (* to allow all)

zone
read-only
string

Zone

Example uses zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/dynHost/login \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "login": "string", "subDomain": "string", "zone": "string"}

Get this object propertiesProduction

GET
/1.0/domain/zone/{zoneName}/dynHost/login/{login}

Path parameters

login
required
string

Login

zoneName
required
string

The internal name of your zone

Response

200DynHostLoginsuccessful operation
login
read-only
string

Login

subDomain
string

Subdomain that the login will be allowed to update (* to allow all)

zone
read-only
string

Zone

Example uses login = string, zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/dynHost/login/{login} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "login": "string", "subDomain": "string", "zone": "string"}

Alter this object propertiesProduction

PUT
/1.0/domain/zone/{zoneName}/dynHost/login/{login}

Path parameters

login
required
string

Login

zoneName
required
string

The internal name of your zone

Request body (required)

login
read-only
string

Login

subDomain
string

Subdomain that the login will be allowed to update (* to allow all)

zone
read-only
string

Zone

Response

200—successful operation

Example uses login = string, zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/dynHost/login/{login} \
  -H "authorization: Bearer $OVH_TOKEN"

Delete a DynHost loginProduction

DELETE
/1.0/domain/zone/{zoneName}/dynHost/login/{login}

Path parameters

login
required
string

Login

zoneName
required
string

The internal name of your zone

Response

200—successful operation

Example uses login = string, zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/dynHost/login/{login} \
  -H "authorization: Bearer $OVH_TOKEN"

Change password of the DynHost loginProduction

POST
/1.0/domain/zone/{zoneName}/dynHost/login/{login}/changePassword

Path parameters

login
required
string

Login

zoneName
required
string

The internal name of your zone

Request body (required)

password
required
stringpassword

New password of the DynHost login

Response

200—successful operation

Example uses login = string, zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/dynHost/login/{login}/changePassword \
  -H "authorization: Bearer $OVH_TOKEN"

DynHost' recordsProduction

GET
/1.0/domain/zone/{zoneName}/dynHost/record

Path parameters

zoneName
required
string

The internal name of your zone

Query parameters

subDomain
string

Filter the value of subDomain property (like)

Response

200integer[]successful operation

Example uses zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/dynHost/record \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Create a new DynHost record (Don't forget to refresh the zone)Production

POST
/1.0/domain/zone/{zoneName}/dynHost/record

Path parameters

zoneName
required
string

The internal name of your zone

Request body (required)

ip
required
ip

Ip address of the DynHost record

subDomain
string

Subdomain of the DynHost record

Response

200DynHostRecordsuccessful operation
id
read-only
integer

Id of the DynHost record

ip
ip

Ip address of the DynHost record

subDomain
string

Subdomain of the DynHost record

ttl
read-only
integer

DynHost record ttl

zone
read-only
string

Zone of the DynHost record

Example uses zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/dynHost/record \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "id": 0, "ip": "192.0.2.0", "subDomain": "string", "ttl": 0, "zone": "string"}

Get this object propertiesProduction

GET
/1.0/domain/zone/{zoneName}/dynHost/record/{id}

Path parameters

id
required
integer

Id of the object

zoneName
required
string

The internal name of your zone

Response

200DynHostRecordsuccessful operation
id
read-only
integer

Id of the DynHost record

ip
ip

Ip address of the DynHost record

subDomain
string

Subdomain of the DynHost record

ttl
read-only
integer

DynHost record ttl

zone
read-only
string

Zone of the DynHost record

Example uses id = 0, zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/dynHost/record/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "id": 0, "ip": "192.0.2.0", "subDomain": "string", "ttl": 0, "zone": "string"}

Alter this object propertiesProduction

PUT
/1.0/domain/zone/{zoneName}/dynHost/record/{id}

Path parameters

id
required
integer

Id of the object

zoneName
required
string

The internal name of your zone

Request body (required)

id
read-only
integer

Id of the DynHost record

ip
ip

Ip address of the DynHost record

subDomain
string

Subdomain of the DynHost record

ttl
read-only
integer

DynHost record ttl

zone
read-only
string

Zone of the DynHost record

Response

200—successful operation

Example uses id = 0, zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/dynHost/record/{id} \
  -H "authorization: Bearer $OVH_TOKEN"

Delete a DynHost record (Don't forget to refresh the zone)Production

DELETE
/1.0/domain/zone/{zoneName}/dynHost/record/{id}

Path parameters

id
required
integer

Id of the object

zoneName
required
string

The internal name of your zone

Response

200—successful operation

Example uses id = 0, zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/dynHost/record/{id} \
  -H "authorization: Bearer $OVH_TOKEN"

Export zoneProduction

GET
/1.0/domain/zone/{zoneName}/export

Path parameters

zoneName
required
string

The internal name of your zone

Response

200stringsuccessful operation

Example uses zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/export \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Zone restore pointsBeta

GET
/1.0/domain/zone/{zoneName}/history

Path parameters

zoneName
required
string

The internal name of your zone

Query parameters

creationDate.from
stringdate-time

Filter the value of creationDate property (>=)

creationDate.to
stringdate-time

Filter the value of creationDate property (<=)

Response

200string[]successful operation

Example uses zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/history \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "2024-01-01T12:00:00Z"]

Get this object propertiesBeta

GET
/1.0/domain/zone/{zoneName}/history/{creationDate}

Path parameters

creationDate
required
stringdate-time

Date of backup creation

zoneName
required
string

The internal name of your zone

Response

200ZoneRestorePointsuccessful operation
creationDate
read-only
stringdate-time

Date of backup creation

zoneFileUrl
read-only
string

URL to get backup content

Example uses creationDate = 2024-01-01T12:00:00Z, zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/history/{creationDate} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "creationDate": "2024-01-01T12:00:00Z", "zoneFileUrl": "string"}

Restore the DNS zoneBeta

POST
/1.0/domain/zone/{zoneName}/history/{creationDate}/restore

Path parameters

creationDate
required
stringdate-time

Date of backup creation

zoneName
required
string

The internal name of your zone

Response

200Tasksuccessful operation
canAccelerate
read-only
boolean

Can accelerate the task

canCancel
read-only
boolean

Can cancel the task

canRelaunch
read-only
boolean

Can relaunch the task

comment
read-only
string

Comment about the task

creationDate
read-only
stringdate-time

Creation date of the task

doneDate
read-only
stringdate-time

Done date of the task

function
read-only
string

Function of the task

id
read-only
integer

Id of the task

lastUpdate
read-only
stringdate-time

Last update date of the task

status
read-only
OperationStatusEnum

Status of the task

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Todo date of the task

Example uses creationDate = 2024-01-01T12:00:00Z, zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/history/{creationDate}/restore \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canAccelerate": true, "canCancel": true, "canRelaunch": true, "comment": "string", "creationDate": "2024-01-01T12:00:00Z", "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}

Import zoneProduction

POST
/1.0/domain/zone/{zoneName}/import

Path parameters

zoneName
required
string

The internal name of your zone

Request body (required)

zoneFile
required
string

Zone file that will be imported

Response

200Tasksuccessful operation
canAccelerate
read-only
boolean

Can accelerate the task

canCancel
read-only
boolean

Can cancel the task

canRelaunch
read-only
boolean

Can relaunch the task

comment
read-only
string

Comment about the task

creationDate
read-only
stringdate-time

Creation date of the task

doneDate
read-only
stringdate-time

Done date of the task

function
read-only
string

Function of the task

id
read-only
integer

Id of the task

lastUpdate
read-only
stringdate-time

Last update date of the task

status
read-only
OperationStatusEnum

Status of the task

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Todo date of the task

Example uses zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/import \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canAccelerate": true, "canCancel": true, "canRelaunch": true, "comment": "string", "creationDate": "2024-01-01T12:00:00Z", "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}

List zone optionsBeta

GET
/1.0/domain/zone/{zoneName}/option

Path parameters

zoneName
required
string

The internal name of your zone

Response

200string[]successful operation

Example uses zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/option \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get this object propertiesBeta

GET
/1.0/domain/zone/{zoneName}/option/{name}

Path parameters

name
required
string

The option name

zoneName
required
string

The internal name of your zone

Response

200Optionsuccessful operation
name
read-only
string

The option name

Example uses name = string, zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/option/{name} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "name": "string"}

Get this object propertiesBeta

GET
/1.0/domain/zone/{zoneName}/option/{name}/serviceInfos

Path parameters

name
required
string

The option name

zoneName
required
string

The internal name of your zone

Response

200Servicesuccessful operation
canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Example uses name = string, zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/option/{name}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}

Alter this object propertiesBeta

PUT
/1.0/domain/zone/{zoneName}/option/{name}/serviceInfos

Path parameters

name
required
string

The option name

zoneName
required
string

The internal name of your zone

Request body (required)

renew
required
RenewType

Renew type

Response

200—successful operation

Example uses name = string, zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/option/{name}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"

Records of the zoneProduction

GET
/1.0/domain/zone/{zoneName}/record

Path parameters

zoneName
required
string

The internal name of your zone

Query parameters

fieldType
NamedResolutionFieldTypeEnum

Filter the value of fieldType property (like)

ValuesAAAAACAACNAMEDKIMDMARCDNAMELOCMXNAPTRNSPTRSPFSRVSSHFPTLSATXT
subDomain
string

Filter the value of subDomain property (ilike)

Response

200integer[]successful operation

Example uses zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/record \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Create a new DNS record (Don't forget to refresh the zone)Production

POST
/1.0/domain/zone/{zoneName}/record

Path parameters

zoneName
required
string

The internal name of your zone

Request body (required)

fieldType
required
NamedResolutionFieldTypeEnum

Resource record Name

ValuesAAAAACAACNAMEDKIMDMARCDNAMELOCMXNAPTRNSPTRSPFSRVSSHFPTLSATXT
subDomain
string

Resource record subdomain

target
required
string

Resource record target

ttl
integer

Resource record ttl

Response

200Recordsuccessful operation
fieldType
read-only
NamedResolutionFieldTypeEnum

Resource record Name

ValuesAAAAACAACNAMEDKIMDMARCDNAMELOCMXNAPTRNSPTRSPFSRVSSHFPTLSATXT
id
read-only
integer

Id of the zone resource record

subDomain
string

Resource record subdomain

target
string

Resource record target

ttl
integer

Resource record ttl

zone
read-only
string

Resource record zone

Example uses zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/record \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "fieldType": "A", "id": 0, "subDomain": "string", "target": "string", "ttl": 0, "zone": "string"}

Get this object propertiesProduction

GET
/1.0/domain/zone/{zoneName}/record/{id}

Path parameters

id
required
integer

Id of the object

zoneName
required
string

The internal name of your zone

Response

200Recordsuccessful operation
fieldType
read-only
NamedResolutionFieldTypeEnum

Resource record Name

ValuesAAAAACAACNAMEDKIMDMARCDNAMELOCMXNAPTRNSPTRSPFSRVSSHFPTLSATXT
id
read-only
integer

Id of the zone resource record

subDomain
string

Resource record subdomain

target
string

Resource record target

ttl
integer

Resource record ttl

zone
read-only
string

Resource record zone

Example uses id = 0, zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/record/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "fieldType": "A", "id": 0, "subDomain": "string", "target": "string", "ttl": 0, "zone": "string"}

Alter this object propertiesProduction

PUT
/1.0/domain/zone/{zoneName}/record/{id}

Path parameters

id
required
integer

Id of the object

zoneName
required
string

The internal name of your zone

Request body (required)

fieldType
read-only
NamedResolutionFieldTypeEnum

Resource record Name

ValuesAAAAACAACNAMEDKIMDMARCDNAMELOCMXNAPTRNSPTRSPFSRVSSHFPTLSATXT
id
read-only
integer

Id of the zone resource record

subDomain
string

Resource record subdomain

target
string

Resource record target

ttl
integer

Resource record ttl

zone
read-only
string

Resource record zone

Response

200—successful operation

Example uses id = 0, zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/record/{id} \
  -H "authorization: Bearer $OVH_TOKEN"

Delete a DNS record (Don't forget to refresh the zone)Production

DELETE
/1.0/domain/zone/{zoneName}/record/{id}

Path parameters

id
required
integer

Id of the object

zoneName
required
string

The internal name of your zone

Response

200—successful operation

Example uses id = 0, zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/record/{id} \
  -H "authorization: Bearer $OVH_TOKEN"

RedirectionsProduction

GET
/1.0/domain/zone/{zoneName}/redirection

Path parameters

zoneName
required
string

The internal name of your zone

Query parameters

subDomain
string

Filter the value of subDomain property (like)

Response

200integer[]successful operation

Example uses zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/redirection \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Create a new redirection (Don't forget to refresh the zone)Production

POST
/1.0/domain/zone/{zoneName}/redirection

Path parameters

zoneName
required
string

The internal name of your zone

Request body (required)

description
string

Desciption for invisible redirection

keywords
string

Keywords for invisible redirection

subDomain
string

subdomain to redirect

target
required
string

Target of the redirection

title
string

Title for invisible redirection

type
required
RedirectionTypeEnum

Redirection type

ValuesinvisiblevisiblevisiblePermanent

Response

200Redirectionsuccessful operation
description
string

Desciption for invisible redirection

id
read-only
integer

Id of the redirection

keywords
string

Keywords for invisible redirection

subDomain
read-only
string

subdomain to redirect

target
string

Target of the redirection

title
string

Title for invisible redirection

type
RedirectionTypeEnum

Redirection type

ValuesinvisiblevisiblevisiblePermanent
zone
read-only
string

Redirection zone

Example uses zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/redirection \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "description": "string", "id": 0, "keywords": "string", "subDomain": "string", "target": "string", "title": "string", "type": "invisible", "zone": "string"}

Get this object propertiesProduction

GET
/1.0/domain/zone/{zoneName}/redirection/{id}

Path parameters

id
required
integer

Id of the object

zoneName
required
string

The internal name of your zone

Response

200Redirectionsuccessful operation
description
string

Desciption for invisible redirection

id
read-only
integer

Id of the redirection

keywords
string

Keywords for invisible redirection

subDomain
read-only
string

subdomain to redirect

target
string

Target of the redirection

title
string

Title for invisible redirection

type
RedirectionTypeEnum

Redirection type

ValuesinvisiblevisiblevisiblePermanent
zone
read-only
string

Redirection zone

Example uses id = 0, zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/redirection/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "description": "string", "id": 0, "keywords": "string", "subDomain": "string", "target": "string", "title": "string", "type": "invisible", "zone": "string"}

Alter this object propertiesProduction

PUT
/1.0/domain/zone/{zoneName}/redirection/{id}

Path parameters

id
required
integer

Id of the object

zoneName
required
string

The internal name of your zone

Request body (required)

description
string

Desciption for invisible redirection

id
read-only
integer

Id of the redirection

keywords
string

Keywords for invisible redirection

subDomain
read-only
string

subdomain to redirect

target
string

Target of the redirection

title
string

Title for invisible redirection

type
RedirectionTypeEnum

Redirection type

ValuesinvisiblevisiblevisiblePermanent
zone
read-only
string

Redirection zone

Response

200—successful operation

Example uses id = 0, zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/redirection/{id} \
  -H "authorization: Bearer $OVH_TOKEN"

Delete a redirection (Don't forget to refresh the zone)Production

DELETE
/1.0/domain/zone/{zoneName}/redirection/{id}

Path parameters

id
required
integer

Id of the object

zoneName
required
string

The internal name of your zone

Response

200—successful operation

Example uses id = 0, zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/redirection/{id} \
  -H "authorization: Bearer $OVH_TOKEN"

Apply zone modification on DNS serversProduction

POST
/1.0/domain/zone/{zoneName}/refresh

Path parameters

zoneName
required
string

The internal name of your zone

Response

200—successful operation

Example uses zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/refresh \
  -H "authorization: Bearer $OVH_TOKEN"

Reset the DNS zoneProduction

POST
/1.0/domain/zone/{zoneName}/reset

Path parameters

zoneName
required
string

The internal name of your zone

Request body (required)

DnsRecords
ResetRecord[]

Records that will be set after reset

minimized
boolean

Create only mandatory records

Response

200—successful operation

Example uses zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/reset \
  -H "authorization: Bearer $OVH_TOKEN"

Get service informationProduction

GET
/1.0/domain/zone/{zoneName}/serviceInfos

Get service information. Returns the status, creation and expiration dates, contacts and renewal settings of the service.

Path parameters

zoneName
required
string

The internal name of your zone

Response

200Servicesuccessful operation
canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Example uses zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}

Update service informationProduction

PUT
/1.0/domain/zone/{zoneName}/serviceInfos

Update service information. Updates the renewal settings of the service: automatic renewal, period, or deletion at expiration.

Path parameters

zoneName
required
string

The internal name of your zone

Request body (required)

canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Response

200—successful operation

Example uses zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"

Get this object propertiesProduction

GET
/1.0/domain/zone/{zoneName}/soa

Path parameters

zoneName
required
string

The internal name of your zone

Response

200Soasuccessful operation
email
string

Email address of the DNS Administrator

expire
integer

When a zone transfer fails, a countdown clock begins. When the number of seconds set in the expire field elapses, the nameserver stops answering for that zone file

nxDomainTtl
integer

Non-Existent Domain TTL, if the name server returns a negative response, the remote server should wait the number of seconds set in the nxDomainTtl field before trying again

refresh
integer

The refresh value determines the interval in seconds between successful zone transfers of the entire zone file from a nameserver to another.

serial
integer

The serial number is used to indicate which copy of the zone file is the most current. When editing zone files, you must increment the serial number

server
string

Primary authoritative server

ttl
integer

Time To Live in seconds

Example uses zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/soa \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "email": "string", "expire": 0, "nxDomainTtl": 0, "refresh": 0, "serial": 0, "server": "string", "ttl": 0}

Alter this object propertiesProduction

PUT
/1.0/domain/zone/{zoneName}/soa

Path parameters

zoneName
required
string

The internal name of your zone

Request body (required)

email
string

Email address of the DNS Administrator

expire
integer

When a zone transfer fails, a countdown clock begins. When the number of seconds set in the expire field elapses, the nameserver stops answering for that zone file

nxDomainTtl
integer

Non-Existent Domain TTL, if the name server returns a negative response, the remote server should wait the number of seconds set in the nxDomainTtl field before trying again

refresh
integer

The refresh value determines the interval in seconds between successful zone transfers of the entire zone file from a nameserver to another.

serial
integer

The serial number is used to indicate which copy of the zone file is the most current. When editing zone files, you must increment the serial number

server
string

Primary authoritative server

ttl
integer

Time To Live in seconds

Response

200—successful operation

Example uses zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/soa \
  -H "authorization: Bearer $OVH_TOKEN"

Zone statusProduction

GET
/1.0/domain/zone/{zoneName}/status

Path parameters

zoneName
required
string

The internal name of your zone

Response

200Statussuccessful operation
errors
string[]

Error list

isDeployed
boolean

True if the zone has successfully been deployed

warnings
string[]

Warning list

Example uses zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/status \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "errors": [ "string" ], "isDeployed": true, "warnings": [ "string" ]}

Domain pending tasksProduction

GET
/1.0/domain/zone/{zoneName}/task

Path parameters

zoneName
required
string

The internal name of your zone

Query parameters

function
string

Filter the value of function property (like)

status
OperationStatusEnum

Filter the value of status property (=)

Valuescancelleddoingdoneerrortodo

Response

200integer[]successful operation

Example uses zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/task \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get this object propertiesProduction

GET
/1.0/domain/zone/{zoneName}/task/{id}

Path parameters

id
required
integer

Id of the object

zoneName
required
string

The internal name of your zone

Response

200Tasksuccessful operation
canAccelerate
read-only
boolean

Can accelerate the task

canCancel
read-only
boolean

Can cancel the task

canRelaunch
read-only
boolean

Can relaunch the task

comment
read-only
string

Comment about the task

creationDate
read-only
stringdate-time

Creation date of the task

doneDate
read-only
stringdate-time

Done date of the task

function
read-only
string

Function of the task

id
read-only
integer

Id of the task

lastUpdate
read-only
stringdate-time

Last update date of the task

status
read-only
OperationStatusEnum

Status of the task

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Todo date of the task

Example uses id = 0, zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/task/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canAccelerate": true, "canCancel": true, "canRelaunch": true, "comment": "string", "creationDate": "2024-01-01T12:00:00Z", "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}

Accelerate the taskProduction

POST
/1.0/domain/zone/{zoneName}/task/{id}/accelerate

Path parameters

id
required
integer

Id of the object

zoneName
required
string

The internal name of your zone

Response

200—successful operation

Example uses id = 0, zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/task/{id}/accelerate \
  -H "authorization: Bearer $OVH_TOKEN"

Cancel the taskProduction

POST
/1.0/domain/zone/{zoneName}/task/{id}/cancel

Path parameters

id
required
integer

Id of the object

zoneName
required
string

The internal name of your zone

Response

200—successful operation

Example uses id = 0, zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/task/{id}/cancel \
  -H "authorization: Bearer $OVH_TOKEN"

Relaunch the taskProduction

POST
/1.0/domain/zone/{zoneName}/task/{id}/relaunch

Path parameters

id
required
integer

Id of the object

zoneName
required
string

The internal name of your zone

Response

200—successful operation

Example uses id = 0, zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/task/{id}/relaunch \
  -H "authorization: Bearer $OVH_TOKEN"

Request service terminationProduction

POST
/1.0/domain/zone/{zoneName}/terminate

Request service termination. Starts the termination of the service. The admin contact receives a token by email, to confirm with the confirmTermination call.

Path parameters

zoneName
required
string

The internal name of your zone

Response

200stringsuccessful operation

Example uses zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/terminate \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"